%{!?python3_version: %global python3_version %(%{__python3} -c "import sys; sys.stdout.write(sys.version[:3])")}

%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%endif

Name:           python-ly
Version:        0.9.2
Release:        2%{?dist}
Summary:        Tool and library for manipulating LilyPond files

Group:          Development/Languages
License:        GPLv2+
URL:            https://pypi.python.org/pypi/python-ly
Source0:        https://pypi.python.org/packages/source/p/python-ly/python-ly-%{version}.tar.gz
#Patch0:         python-ly-shebangs.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-sphinx
%if 0%{?with_python3}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
%endif
BuildRequires: python-setuptools
Requires:       python-setuptools
Requires:       tkinter

%description
This package provides a Python library ly containing various Python modules
to parse, manipulate or create documents in LilyPond format. A command line
program ly is also provided that can be used to do various manipulations
with LilyPond files.

%if 0%{?with_python3}
%package -n python3-ly
Summary:        Tool and library for manipulating LilyPond files
Group:          Development/Languages
Requires:       python3-setuptools
Requires:       python3-tkinter

%description -n python3-ly
This package provides a Python library ly containing various Python modules
to parse, manipulate or create documents in LilyPond format. A command line
program ly is also provided that can be used to do various manipulations
with LilyPond files.

This package allows for use of python-ly with Python 3.
%endif # with_python3

%prep
%setup -q

#%patch0 -p1

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

pushd doc
make html
popd

%install
# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python2} setup.py install --skip-build --root %{buildroot} \
           --install-data=%{_datadir}

sed -i s/python3/python2/g %{buildroot}%{_bindir}/ly


%files
%doc ChangeLog README.rst doc/build/html/
%{_bindir}/ly
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-ly
%doc ChangeLog README.rst doc/build/html/
%{python3_sitelib}/*
%endif

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 15 2015 Jon Ciesla <limburgher@gmail.com> - 0.9.2-1
- 0.9.2, BZ 1221840.
- Shebangs patch upstreamed.

* Mon Mar 16 2015 Jon Ciesla <limburgher@gmail.com> - 0.9.1-2
- Spec cleanup from review, macro usage and docs building.

* Mon Mar 09 2015 Jon Ciesla <limburgher@gmail.com> - 0.9.1-1
- Initial RPM release
